Loading...
Searching...
No Matches
svn_md5.h File Reference

Converting and comparing MD5 checksums. More...

`#include <apr_pools.h>`
`#include "svn_types.h"`

Go to the source code of this file.

## Functions

const unsigned char * | svn_md5_empty_string_digest (void)
| The MD5 digest for the empty string.
const char * | svn_md5_digest_to_cstring_display (const unsigned char digest[], apr_pool_t *pool)
| Return the hex representation of digest, which must be `APR_MD5_DIGESTSIZE` bytes long, allocating the string in pool.
const char * | svn_md5_digest_to_cstring (const unsigned char digest[], apr_pool_t *pool)
| Return the hex representation of digest, which must be `APR_MD5_DIGESTSIZE` bytes long, allocating the string in pool.
svn_boolean_t | svn_md5_digests_match (const unsigned char d1[], const unsigned char d2[])
| Compare digests d1 and d2, each `APR_MD5_DIGESTSIZE` bytes long.

## Detailed Description

Converting and comparing MD5 checksums.

# autotoc_md75

Definition in file svn_md5.h.

## Function Documentation

## svn_md5_digest_to_cstring()

const char * svn_md5_digest_to_cstring | ( | const unsigned char | digest[],
|  | apr_pool_t * | pool )

Return the hex representation of digest, which must be `APR_MD5_DIGESTSIZE` bytes long, allocating the string in pool.

If digest is all zeros, then return NULL.

Deprecated
  Provided for backward compatibility with the 1.5 API.

References SVN_DEPRECATED.

## svn_md5_digest_to_cstring_display()

const char * svn_md5_digest_to_cstring_display | ( | const unsigned char | digest[],
|  | apr_pool_t * | pool )

Return the hex representation of digest, which must be `APR_MD5_DIGESTSIZE` bytes long, allocating the string in pool.

Deprecated
  Provided for backward compatibility with the 1.5 API.

References SVN_DEPRECATED.

## svn_md5_digests_match()

svn_boolean_t svn_md5_digests_match | ( | const unsigned char | d1[],
|  | const unsigned char | d2[] )

Compare digests d1 and d2, each `APR_MD5_DIGESTSIZE` bytes long.

If neither is all zeros, and they do not match, then return FALSE; else return TRUE.

Deprecated
  Provided for backward compatibility with the 1.5 API.

## svn_md5_empty_string_digest()

const unsigned char * svn_md5_empty_string_digest | ( | void |  | ) |

The MD5 digest for the empty string.

Deprecated
  Provided for backward compatibility with the 1.5 API.

References SVN_DEPRECATED.